using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;
using System.Windows;

namespace WPFinWinForms_Modeless
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // 1. WPF Window "onthefly" erstellen
            System.Windows.Window window = new Window();
            window.Content = new System.Windows.Controls.TextBox();

            // 2. Ohne diese Zeile bekommt ein Modeless Window keine KeyboardMessages
            ElementHost.EnableModelessKeyboardInterop(window);

            // 3. Nicht modales Fenster anzeigen
            window.Show();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // 1. WPF Window "onthefly" erstellen
            System.Windows.Window window = new Window();
            System.Windows.Controls.TextBox txt = new System.Windows.Controls.TextBox();
            txt.Text = "Versuchen sie etwas einzugeben, die KeyboardMessages werden nicht korrekt an das WPF-Window weitergeleitet";
            window.Content = txt;

            // 2. An dieser Stelle bewusst auskommentiert
            // ElementHost.EnableModelessKeyboardInterop(window);

            // 3. Nicht modales Fenster anzeigen
            window.Show();
        }
    }
}