using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Forms.Integration;
using System.Data;
using wf = System.Windows.Forms;

namespace WinFormsInWPF_XamlAndCSharp
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>

  public partial class Window1 : System.Windows.Window
  {

    public Window1()
    {
      InitializeComponent();
    }

    private void OnLoad(object sender, RoutedEventArgs e)
    {
      // Grid hinzufgen
      WindowsFormsHost host = new WindowsFormsHost();
      wf.DataGridView dgvCustomersClone = new wf.DataGridView();
      dgvCustomersClone.Dock = wf.DockStyle.Fill;
      dgvCustomersClone.SelectionMode = wf.DataGridViewSelectionMode.FullRowSelect;

      host.Child = dgvCustomersClone;

      myWPFGrid.Children.Add(host);



      // Den Grids ein paar Daten hinzufgen
      DataTable dt = new DataTable();
      dt.Columns.Add("ID", typeof(int));
      dt.Columns.Add("Description");

      dt.Rows.Add(1, "In XAML erstellt");

      DataTable dt2 = dt.Clone();
      dt2.Rows.Add(3, "In C# erstellt");

      dgvCustomers.DataSource = dt;
      dgvCustomersClone.DataSource = dt2;
    }
  }
}