using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;
using System.Windows.Media.Animation;
using System.Windows.Media.Media3D;

namespace WPFinWF
{
  public partial class Form1 : Form
  {
    private MyWPFControls.MyThreeDControl myWPFElement;

    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      // InitializeWPFElement
      myWPFElement = new MyWPFControls.MyThreeDControl();

      ElementHost host = new ElementHost();
      host.SetBounds(12, 12, 215, 174);
      host.Child = myWPFElement;

      this.Controls.Add(host);

      // Initialize ComboBox
      for (int i = 0; i <= 360; i += 30)
        this.cboGrad.Items.Add(i);
      this.cboGrad.SelectedIndex = 11;
    }

    private void cboGrad_SelectedIndexChanged(object sender, EventArgs e)
    {
      // Starten einer Animation mithilfe der Klassen der WPF
      double from = myWPFElement.AxisAngleRotation3D.Angle;
      double to = (int)this.cboGrad.SelectedItem;
      DoubleAnimation ani = new DoubleAnimation(from, to, new System.Windows.Duration(TimeSpan.FromSeconds(2)));
      myWPFElement.AxisAngleRotation3D.BeginAnimation(AxisAngleRotation3D.AngleProperty, ani);
    }
  }
}